<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/color_0">

    <!-- 顶部标题栏 -->
    <RelativeLayout
        android:id="@+id/top_title_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bgbg_top_tab"
        android:paddingTop="8dp"
        android:paddingBottom="16dp">

        <com.wall.turing.wallpapers.uutils.CustomText
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:padding="10dp"
            android:text="@string/collections"
            android:textColor="@color/star_white"
            android:textSize="18sp"
            android:textStyle="bold"
            android:shadowColor="@color/cosmic_cyan"
            android:shadowDx="0"
            android:shadowDy="0"
            android:shadowRadius="10"
            app:apply_font="true" />
    </RelativeLayout>

    <!-- 内容区域 -->
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/list_recycler"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingTop="8dp"
            android:clipToPadding="false" />

        <LinearLayout
            android:id="@+id/layout_no_data"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:orientation="vertical"
            android:visibility="gone">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:src="@drawable/img_no_ata" />

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="200dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:gravity="center"
                android:lineSpacingExtra="4dp"
                android:text="@string/no_like_data"
                android:textColor="@color/star_glow"
                android:textSize="14sp" />
        </LinearLayout>

    </RelativeLayout>

</LinearLayout>